Package com.io7m.cardant.database.api

# Record Class CADatabaseQueriesFilesType.GetType.Parameters

java.lang.Object
java.lang.Record
com.io7m.cardant.database.api.CADatabaseQueriesFilesType.GetType.Parameters

Record Components:
  `file` - The file ID
  `withData` - `true` if file data should be included

Enclosing interface:
  `CADatabaseQueriesFilesType.GetType`

public static record CADatabaseQueriesFilesType.GetType.Parameters(CAFileID file, boolean withData) extends Record
Parameters for retrieving a file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameters(CAFileID file, boolean withData)`
  Creates an instance of a `Parameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAFileID`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `boolean`
  `withData()`
  Returns the value of the `withData` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameters

    public Parameters(CAFileID file, boolean withData)
    Creates an instance of a `Parameters` record class.
    Parameters:
      `file` - the value for the `file` record component
      `withData` - the value for the `withData` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### file

    public CAFileID file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component

  - ### withData

    public boolean withData()
    Returns the value of the `withData` record component.
    Returns:
      the value of the `withData` record component